Download it now!
Bug 87789 - Thunderbird-Addressbook doesn't show groups in collected addresses
Summary: Thunderbird-Addressbook doesn't show groups in collected addresses
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-28 10:42 UTC by Robert Großkopf
Modified: 2015-02-28 16:54 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the tables and views of Thunderbird-Addressbook in LO 3.* (41.23 KB, image/png)
2014-12-29 07:01 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2014-12-28 10:42:41 UTC
Create a database connected to Thunderbird addressbock.
There were shown "AddressBook", "CollectedAddressBook" and groups, which are created in "AddressBook".

This bug appears since LO 4.*. LO 3.6.* shows all groups. There were shown the groups as views of the "AddressBook". So a regression.
Comment 1 Cor Nouws 2014-12-28 19:58:02 UTC
Hi Robert,

Tested on Ubuntu 32 bits.

In 4.4.0.1 there are no groups at all.
In 3.6.6.1 the groups are shown as separate table, not related to the collected address book.

Is that what you mean?

Cor
Comment 2 Julien Nabet 2014-12-29 00:16:31 UTC
Confirmed with 4.4 sources updated some days ago.

David: thought you might be interested in this one since you were on cc of fdo#64741
Do you know if this part has been planned? If not, any code pointer or any hints for a dev?
I suppose start point could be this:
http://opengrok.libreoffice.org/xref/core/connectivity/source/drivers/mork/MorkParser.cxx#parse
Comment 3 Robert Großkopf 2014-12-29 07:01:05 UTC
Created attachment 111455 [details]
Shows the tables and views of Thunderbird-Addressbook in LO 3.*

The attached file should explain the difference between tables and views in the addressbook. "Gesammelte Adressen" is "Collected Addresses" in English. The following two views are groups of the "Collected Addresses". The views have different icons in opposite to the tables. "Persönliches Adressbuch" is the personal addressbook.
Comment 4 Cor Nouws 2014-12-29 08:07:06 UTC
(In reply to robert from comment #3)
> Created attachment 111455 [details]
> Shows the tables and views of Thunderbird-Addressbook in LO 3.*


Thanks - I see the same.
Comment 5 Julien Nabet 2014-12-30 11:22:25 UTC
Robert: not the main issue of this bugtracker but should the groups appear as views and not as tables?
If yes, I could submit a simple patch about this.
Comment 6 Robert Großkopf 2014-12-30 11:39:43 UTC
(In reply to Julien Nabet from comment #5)
> Robert: not the main issue of this bugtracker but should the groups appear
> as views and not as tables?
> If yes, I could submit a simple patch about this.

Yes, would be better if jou see the different "...Books" as tables and the groups as views. Members of the groups in Thunderbird-addressbook will be automatically members of the Book, where the groups are created.
Comment 7 Commit Notification 2014-12-30 12:41:10 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84e3c5acb07937a073fedbe3d5389fc72123923a

Related fdo#87789: groups should appear like views and not like tables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2015-01-03 11:08:29 UTC
The collected address main bug isn't solved.
Comment 9 Alex Thurgood 2015-01-03 17:39:29 UTC
Adding self to CC if not already on
Comment 10 Commit Notification 2015-01-05 17:28:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8656ea837f75b199aefab727ccb77f4ae209037c&h=libreoffice-4-3

Related fdo#87789: groups should appear like views and not like tables

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-01-05 17:28:38 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62280beffe7f0c25c9d6a45fd5135a622f5ef4d4&h=libreoffice-4-4

Related fdo#87789: groups should appear like views and not like tables

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Julien Nabet 2015-01-06 07:19:58 UTC
Lionel: just for information, I sent a patch to review here:
https://gerrit.libreoffice.org/#/c/13760/
Comment 13 Commit Notification 2015-01-07 03:38:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a527ad98e58a7fc9af482f9088687d82e5c52cca

Resolves fdo#87789: show groups in collected addresses

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-02-27 16:56:58 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35b07ae7a3ef2163de7dcff7a96029e28240fe11

Re tdf#87789: Fix opening mork CollectedAddressBook Table

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Stephan Bergmann 2015-02-27 19:41:48 UTC
please re-verify that the original issue remains fixed with the follow-up fix from commit 14
Comment 16 Julien Nabet 2015-02-28 16:54:40 UTC
It seems ok to me (and the code is a bit clearer now), thank you Stephan!